<?php



$tdatacertificateattained = array();
$tdatacertificateattained[".searchableFields"] = array();
$tdatacertificateattained[".ShortName"] = "certificateattained";
$tdatacertificateattained[".OwnerID"] = "";
$tdatacertificateattained[".OriginalTable"] = "certificateattained";


$defaultPages = my_json_decode( "{\"search\":\"search\"}" );

$tdatacertificateattained[".pagesByType"] = my_json_decode( "{\"search\":[\"search\"]}" );
$tdatacertificateattained[".pages"] = types2pages( my_json_decode( "{\"search\":[\"search\"]}" ) );
$tdatacertificateattained[".defaultPages"] = $defaultPages;

//	field labels
$fieldLabelscertificateattained = array();
$fieldToolTipscertificateattained = array();
$pageTitlescertificateattained = array();
$placeHolderscertificateattained = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelscertificateattained["English"] = array();
	$fieldToolTipscertificateattained["English"] = array();
	$placeHolderscertificateattained["English"] = array();
	$pageTitlescertificateattained["English"] = array();
	$fieldLabelscertificateattained["English"]["Certificate_Attained"] = "Certificate Attained";
	$fieldToolTipscertificateattained["English"]["Certificate_Attained"] = "";
	$placeHolderscertificateattained["English"]["Certificate_Attained"] = "";
	if (count($fieldToolTipscertificateattained["English"]))
		$tdatacertificateattained[".isUseToolTips"] = true;
}


	$tdatacertificateattained[".NCSearch"] = true;



$tdatacertificateattained[".shortTableName"] = "certificateattained";
$tdatacertificateattained[".nSecOptions"] = 0;

$tdatacertificateattained[".mainTableOwnerID"] = "";
$tdatacertificateattained[".entityType"] = 0;

$tdatacertificateattained[".strOriginalTableName"] = "certificateattained";

	



$tdatacertificateattained[".showAddInPopup"] = false;

$tdatacertificateattained[".showEditInPopup"] = false;

$tdatacertificateattained[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatacertificateattained[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatacertificateattained[".listAjax"] = false;
//	temporary
$tdatacertificateattained[".listAjax"] = false;

	$tdatacertificateattained[".audit"] = false;

	$tdatacertificateattained[".locking"] = false;


$pages = $tdatacertificateattained[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatacertificateattained[".edit"] = true;
	$tdatacertificateattained[".afterEditAction"] = 1;
	$tdatacertificateattained[".closePopupAfterEdit"] = 1;
	$tdatacertificateattained[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatacertificateattained[".add"] = true;
$tdatacertificateattained[".afterAddAction"] = 1;
$tdatacertificateattained[".closePopupAfterAdd"] = 1;
$tdatacertificateattained[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatacertificateattained[".list"] = true;
}

$tdatacertificateattained[".updateSelected"] = true;


$tdatacertificateattained[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatacertificateattained[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatacertificateattained[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatacertificateattained[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatacertificateattained[".printFriendly"] = true;
}



$tdatacertificateattained[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatacertificateattained[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatacertificateattained[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatacertificateattained[".isUseAjaxSuggest"] = true;

$tdatacertificateattained[".rowHighlite"] = true;



						

$tdatacertificateattained[".ajaxCodeSnippetAdded"] = false;

$tdatacertificateattained[".buttonsAdded"] = false;

$tdatacertificateattained[".addPageEvents"] = false;

// use timepicker for search panel
$tdatacertificateattained[".isUseTimeForSearch"] = false;




$tdatacertificateattained[".allSearchFields"] = array();
$tdatacertificateattained[".filterFields"] = array();
$tdatacertificateattained[".requiredSearchFields"] = array();

$tdatacertificateattained[".googleLikeFields"] = array();
$tdatacertificateattained[".googleLikeFields"][] = "Certificate Attained";



$tdatacertificateattained[".tableType"] = "list";

$tdatacertificateattained[".printerPageOrientation"] = 0;
$tdatacertificateattained[".nPrinterPageScale"] = 100;

$tdatacertificateattained[".nPrinterSplitRecords"] = 40;

$tdatacertificateattained[".geocodingEnabled"] = false;










$tdatacertificateattained[".pageSize"] = 20;

$tdatacertificateattained[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatacertificateattained[".strOrderBy"] = $tstrOrderBy;

$tdatacertificateattained[".orderindexes"] = array();

$tdatacertificateattained[".sqlHead"] = "SELECT `Certificate Attained`";
$tdatacertificateattained[".sqlFrom"] = "FROM certificateattained";
$tdatacertificateattained[".sqlWhereExpr"] = "";
$tdatacertificateattained[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatacertificateattained[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatacertificateattained[".arrGroupsPerPage"] = $arrGPP;

$tdatacertificateattained[".highlightSearchResults"] = true;

$tableKeyscertificateattained = array();
$tableKeyscertificateattained[] = "Certificate Attained";
$tdatacertificateattained[".Keys"] = $tableKeyscertificateattained;


$tdatacertificateattained[".hideMobileList"] = array();




//	Certificate Attained
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "Certificate Attained";
	$fdata["GoodName"] = "Certificate_Attained";
	$fdata["ownerTable"] = "certificateattained";
	$fdata["Label"] = GetFieldLabel("certificateattained","Certificate_Attained");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Certificate Attained";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Certificate Attained`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacertificateattained["Certificate Attained"] = $fdata;
		$tdatacertificateattained[".searchableFields"][] = "Certificate Attained";


$tables_data["certificateattained"]=&$tdatacertificateattained;
$field_labels["certificateattained"] = &$fieldLabelscertificateattained;
$fieldToolTips["certificateattained"] = &$fieldToolTipscertificateattained;
$placeHolders["certificateattained"] = &$placeHolderscertificateattained;
$page_titles["certificateattained"] = &$pageTitlescertificateattained;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["certificateattained"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["certificateattained"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_certificateattained()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "`Certificate Attained`";
$proto0["m_strFrom"] = "FROM certificateattained";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "Certificate Attained",
	"m_strTable" => "certificateattained",
	"m_srcTableName" => "certificateattained"
));

$proto6["m_sql"] = "`Certificate Attained`";
$proto6["m_srcTableName"] = "certificateattained";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto8=array();
$proto8["m_link"] = "SQLL_MAIN";
			$proto9=array();
$proto9["m_strName"] = "certificateattained";
$proto9["m_srcTableName"] = "certificateattained";
$proto9["m_columns"] = array();
$proto9["m_columns"][] = "Certificate Attained";
$obj = new SQLTable($proto9);

$proto8["m_table"] = $obj;
$proto8["m_sql"] = "certificateattained";
$proto8["m_alias"] = "";
$proto8["m_srcTableName"] = "certificateattained";
$proto10=array();
$proto10["m_sql"] = "";
$proto10["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto10["m_column"]=$obj;
$proto10["m_contained"] = array();
$proto10["m_strCase"] = "";
$proto10["m_havingmode"] = false;
$proto10["m_inBrackets"] = false;
$proto10["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto10);

$proto8["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto8);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="certificateattained";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_certificateattained = createSqlQuery_certificateattained();


	
		;

	

$tdatacertificateattained[".sqlquery"] = $queryData_certificateattained;

$tableEvents["certificateattained"] = new eventsBase;
$tdatacertificateattained[".hasEvents"] = false;

?>